mrueg 14/11/25 20:52:47
Modified: minitest-4.7.5.ebuild minitest-5.3.3.ebuild
minitest-4.7.5-r1.ebuild minitest-5.4.3.ebuild
ChangeLog
Removed: minitest-5.3.3-r1.ebuild minitest-5.4.1.ebuild
minitest-5.4.2.ebuild
Log:
Cleanup old. Drop jruby.
(Portage version: 2.2.14/cvs/Linux x86_64, signed Manifest commit with key )
Revision Changes Path
1.14 dev-ruby/minitest/minitest-4.7.5.ebuild
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/minitest/minitest-4.7.5.ebuild?rev=1.14&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/minitest/minitest-4.7.5.ebuild?rev=1.14&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/minitest/minitest-4.7.5.ebuild?r1=1.13&r2=1.14
Index: minitest-4.7.5.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-ruby/minitest/minitest-4.7.5.ebuild,v
retrieving revision 1.13
retrieving revision 1.14
diff -u -r1.13 -r1.14
--- minitest-4.7.5.ebuild 30 Oct 2014 14:22:49 -0000 1.13
+++ minitest-4.7.5.ebuild 25 Nov 2014 20:52:47 -0000 1.14
@@ -1,9 +1,9 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-ruby/minitest/minitest-4.7.5.ebuild,v
1.13 2014/10/30 14:22:49 ago Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-ruby/minitest/minitest-4.7.5.ebuild,v
1.14 2014/11/25 20:52:47 mrueg Exp $
EAPI=5
-USE_RUBY="ruby19 ruby20 jruby"
+USE_RUBY="ruby19 ruby20"
RUBY_FAKEGEM_RECIPE_DOC="rdoc"
@@ -20,34 +20,6 @@
KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86
~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos
~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="doc test"
-each_ruby_prepare() {
- case ${RUBY} in
- *jruby)
- # Remove failing tests. Upstream claims that these are
all
- # bugs in jruby. By removing the failing tests we can at
- # least run the remainder. See bug 321055 for details.
- rm -f test/minitest/test_minitest_unit.rb || die
- # Also add minitest_mock since there are jruby-specific
failures.
- rm -f test/minitest/test_minitest_mock.rb || die
-
- # Our jruby throws a slightly different error
- sed -i -e 's/not :xxx/not \\"xxx\\"/'
test/minitest/test_minitest_spec.rb || die
- ;;
- *)
- ;;
- esac
-}
-
each_ruby_test() {
- case ${RUBY} in
- *jruby)
- # JRuby 1.6.x has threading bugs that are triggered by
- # minitests 4's new parallel test support. Should be
fixed
- # in JRuby 1.7.
- N=1 ${RUBY} -Ilib:bin:test:. -S testrb test || die
- ;;
- *)
- ${RUBY} -Ilib:bin:test:. -S testrb test || die
- ;;
- esac
+ ${RUBY} -Ilib:bin:test:. -S testrb test || die
}
1.13 dev-ruby/minitest/minitest-5.3.3.ebuild
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/minitest/minitest-5.3.3.ebuild?rev=1.13&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/minitest/minitest-5.3.3.ebuild?rev=1.13&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/minitest/minitest-5.3.3.ebuild?r1=1.12&r2=1.13
Index: minitest-5.3.3.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-ruby/minitest/minitest-5.3.3.ebuild,v
retrieving revision 1.12
retrieving revision 1.13
diff -u -r1.12 -r1.13
--- minitest-5.3.3.ebuild 8 Nov 2014 11:44:20 -0000 1.12
+++ minitest-5.3.3.ebuild 25 Nov 2014 20:52:47 -0000 1.13
@@ -1,9 +1,9 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-ruby/minitest/minitest-5.3.3.ebuild,v
1.12 2014/11/08 11:44:20 ago Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-ruby/minitest/minitest-5.3.3.ebuild,v
1.13 2014/11/25 20:52:47 mrueg Exp $
EAPI=5
-USE_RUBY="ruby19 ruby20 jruby"
+USE_RUBY="ruby19 ruby20"
RUBY_FAKEGEM_RECIPE_DOC="rdoc"
@@ -20,33 +20,6 @@
KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86
~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos
~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="doc test"
-each_ruby_prepare() {
- case ${RUBY} in
- *jruby)
- # Make sure __jtrap is available in all threads. This
should
- # be fixed in jruby 1.7.x
- sed -i -e '8i trap :INFO do ; end'
lib/minitest/parallel.rb || die
-
- # Avoid failures. Most of these look like low-level
jruby
- # differences and it looks like these were not run
properly
- # in previous versions.
- for t in test_return_mock_does_not_raise
test_mock_args_does_not_raise test_stub_block test_stub_value ; do
- local command="/${t}/,/^ end/ s:^:#:"
- sed -i -e "${command}"
test/minitest/test_minitest_mock.rb || die
- done
- for t in test_run_failing test_run_skip test_run_error
test_run_skip_verbose test_run_error_teardown test_runnable_methods_random
test_assert_throws_different test_to_s_error_in_test_and_teardown
test_run_filtered_including_suite_name_string
test_run_filtered_string_method_only test_run_filtered_including_suite_name ; do
- command="/${t}/,/^ end/ s:^:#:"
- sed -i -e "${command}"
test/minitest/test_minitest_unit.rb || die
- done
- for t in test_name2 "needs to verify throw" ; do
- command="/${t}/,/^ end/ s:^:#:"
- sed -i -e "${command}"
test/minitest/test_minitest_spec.rb || die
- done
- sed -i -e '/test_report_error/,/^ end/ s:^:#:'
test/minitest/test_minitest_reporter.rb || die
- ;;
- esac
-}
-
each_ruby_test() {
for f in test/minitest/test_*.rb; do
${RUBY} -Ilib:test ${f} || die "${f} tests failed"
1.3 dev-ruby/minitest/minitest-4.7.5-r1.ebuild
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/minitest/minitest-4.7.5-r1.ebuild?rev=1.3&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/minitest/minitest-4.7.5-r1.ebuild?rev=1.3&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/minitest/minitest-4.7.5-r1.ebuild?r1=1.2&r2=1.3
Index: minitest-4.7.5-r1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-ruby/minitest/minitest-4.7.5-r1.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- minitest-4.7.5-r1.ebuild 5 Aug 2014 16:00:39 -0000 1.2
+++ minitest-4.7.5-r1.ebuild 25 Nov 2014 20:52:47 -0000 1.3
@@ -1,6 +1,6 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header:
/var/cvsroot/gentoo-x86/dev-ruby/minitest/minitest-4.7.5-r1.ebuild,v 1.2
2014/08/05 16:00:39 mrueg Exp $
+# $Header:
/var/cvsroot/gentoo-x86/dev-ruby/minitest/minitest-4.7.5-r1.ebuild,v 1.3
2014/11/25 20:52:47 mrueg Exp $
EAPI=5
USE_RUBY="ruby19 ruby20 ruby21 jruby"
@@ -20,34 +20,6 @@
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc
~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos
~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="doc test"
-each_ruby_prepare() {
- case ${RUBY} in
- *jruby)
- # Remove failing tests. Upstream claims that these are
all
- # bugs in jruby. By removing the failing tests we can at
- # least run the remainder. See bug 321055 for details.
- rm -f test/minitest/test_minitest_unit.rb || die
- # Also add minitest_mock since there are jruby-specific
failures.
- rm -f test/minitest/test_minitest_mock.rb || die
-
- # Our jruby throws a slightly different error
- sed -i -e 's/not :xxx/not \\"xxx\\"/'
test/minitest/test_minitest_spec.rb || die
- ;;
- *)
- ;;
- esac
-}
-
each_ruby_test() {
- case ${RUBY} in
- *jruby)
- # JRuby 1.6.x has threading bugs that are triggered by
- # minitests 4's new parallel test support. Should be
fixed
- # in JRuby 1.7.
- N=1 ${RUBY} -Ilib:bin:test:. -S testrb test || die
- ;;
- *)
- ${RUBY} -Ilib:bin:test:. -S testrb test || die
- ;;
- esac
+ ${RUBY} -Ilib:bin:test:. -S testrb test || die
}
1.2 dev-ruby/minitest/minitest-5.4.3.ebuild
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/minitest/minitest-5.4.3.ebuild?rev=1.2&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/minitest/minitest-5.4.3.ebuild?rev=1.2&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/minitest/minitest-5.4.3.ebuild?r1=1.1&r2=1.2
Index: minitest-5.4.3.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-ruby/minitest/minitest-5.4.3.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- minitest-5.4.3.ebuild 13 Nov 2014 22:04:39 -0000 1.1
+++ minitest-5.4.3.ebuild 25 Nov 2014 20:52:47 -0000 1.2
@@ -1,9 +1,9 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-ruby/minitest/minitest-5.4.3.ebuild,v
1.1 2014/11/13 22:04:39 mrueg Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-ruby/minitest/minitest-5.4.3.ebuild,v
1.2 2014/11/25 20:52:47 mrueg Exp $
EAPI=5
-USE_RUBY="ruby19 ruby20 ruby21 jruby"
+USE_RUBY="ruby19 ruby20 ruby21"
RUBY_FAKEGEM_RECIPE_DOC="rdoc"
@@ -22,33 +22,13 @@
each_ruby_prepare() {
case ${RUBY} in
- *jruby)
- # Make sure __jtrap is available in all threads. This
should
- # be fixed in jruby 1.7.x
- sed -i -e '8i trap :INFO do ; end'
lib/minitest/parallel.rb || die
-
- # Avoid failures. Most of these look like low-level
jruby
- # differences and it looks like these were not run
properly
- # in previous versions.
- for t in test_return_mock_does_not_raise
test_mock_args_does_not_raise test_stub_block test_stub_value ; do
- local command="/${t}/,/^ end/ s:^:#:"
- sed -i -e "${command}"
test/minitest/test_minitest_mock.rb || die
- done
- for t in test_run_failing test_run_skip test_run_error
test_run_skip_verbose test_run_error_teardown test_runnable_methods_random
test_assert_throws_different test_to_s_error_in_test_and_teardown
test_run_filtered_including_suite_name_string
test_run_filtered_string_method_only test_run_filtered_including_suite_name ; do
- command="/${t}/,/^ end/ s:^:#:"
- sed -i -e "${command}"
test/minitest/test_minitest_unit.rb || die
- done
- for t in test_name2 "needs to verify throw" ; do
- command="/${t}/,/^ end/ s:^:#:"
- sed -i -e "${command}"
test/minitest/test_minitest_spec.rb || die
- done
- sed -i -e '/test_report_error/,/^ end/ s:^:#:'
test/minitest/test_minitest_reporter.rb || die
- ;;
*rbx)
# Avoid a single failing test for rbx while we are
testing
# and bootstrapping it.
sed -i -e '/test_mock_args_does_not_raise/,/^ end/
s:^:#:' test/minitest/test_minitest_mock.rb || die
;;
+ *)
+ ;;
esac
}
1.172 dev-ruby/minitest/ChangeLog
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/minitest/ChangeLog?rev=1.172&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/minitest/ChangeLog?rev=1.172&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/minitest/ChangeLog?r1=1.171&r2=1.172
Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-ruby/minitest/ChangeLog,v
retrieving revision 1.171
retrieving revision 1.172
diff -u -r1.171 -r1.172
--- ChangeLog 13 Nov 2014 22:04:39 -0000 1.171
+++ ChangeLog 25 Nov 2014 20:52:47 -0000 1.172
@@ -1,6 +1,11 @@
# ChangeLog for dev-ruby/minitest
# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-ruby/minitest/ChangeLog,v 1.171
2014/11/13 22:04:39 mrueg Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-ruby/minitest/ChangeLog,v 1.172
2014/11/25 20:52:47 mrueg Exp $
+
+ 25 Nov 2014; Manuel RĂ¼ger <[email protected]> -minitest-5.3.3-r1.ebuild,
+ -minitest-5.4.1.ebuild, -minitest-5.4.2.ebuild, minitest-4.7.5-r1.ebuild,
+ minitest-4.7.5.ebuild, minitest-5.3.3.ebuild, minitest-5.4.3.ebuild:
+ Cleanup old. Drop jruby.
*minitest-5.4.3 (13 Nov 2014)